## junit.framework
Class Assert

    java.lang.Object
      junit.framework.Assert

Direct Known Subclasses:
  TestCase, TestDecorator

Deprecated. Please use `Assert` instead.

    @Deprecated
    public class Assert

extends Object

A set of assert methods. Messages are only displayed when an assert fails.

Constructor Summary
`protected` `Assert()` Deprecated. Protect constructor since it is a static only class

Method Summary
`static void` `assertEquals(boolean expected, boolean actual)` Deprecated. Asserts that two booleans are equal.
`static void` `assertEquals(byte expected, byte actual)` Deprecated. Asserts that two bytes are equal.
`static void` `assertEquals(char expected, char actual)` Deprecated. Asserts that two chars are equal.
`static void` `assertEquals(double expected, double actual, double delta)` Deprecated. Asserts that two doubles are equal concerning a delta.
`static void` `assertEquals(float expected, float actual, float delta)` Deprecated. Asserts that two floats are equal concerning a delta.
`static void` `assertEquals(int expected, int actual)` Deprecated. Asserts that two ints are equal.
`static void` `assertEquals(long expected, long actual)` Deprecated. Asserts that two longs are equal.
`static void` `assertEquals(Object expected, Object actual)` Deprecated. Asserts that two objects are equal.
`static void` `assertEquals(short expected, short actual)` Deprecated. Asserts that two shorts are equal.
`static void` `assertEquals(String message, boolean expected, boolean actual)` Deprecated. Asserts that two booleans are equal.
`static void` `assertEquals(String message, byte expected, byte actual)` Deprecated. Asserts that two bytes are equal.
`static void` `assertEquals(String message, char expected, char actual)` Deprecated. Asserts that two chars are equal.
`static void` `assertEquals(String message, double expected, double actual, double delta)` Deprecated. Asserts that two doubles are equal concerning a delta.
`static void` `assertEquals(String message, float expected, float actual, float delta)` Deprecated. Asserts that two floats are equal concerning a positive delta.
`static void` `assertEquals(String message, int expected, int actual)` Deprecated. Asserts that two ints are equal.
`static void` `assertEquals(String message, long expected, long actual)` Deprecated. Asserts that two longs are equal.
`static void` `assertEquals(String message, Object expected, Object actual)` Deprecated. Asserts that two objects are equal.
`static void` `assertEquals(String message, short expected, short actual)` Deprecated. Asserts that two shorts are equal.
`static void` `assertEquals(String expected, String actual)` Deprecated. Asserts that two Strings are equal.
`static void` `assertEquals(String message, String expected, String actual)` Deprecated. Asserts that two Strings are equal.
`static void` `assertFalse(boolean condition)` Deprecated. Asserts that a condition is false.
`static void` `assertFalse(String message, boolean condition)` Deprecated. Asserts that a condition is false.
`static void` `assertNotNull(Object object)` Deprecated. Asserts that an object isn't null.
`static void` `assertNotNull(String message, Object object)` Deprecated. Asserts that an object isn't null.
`static void` `assertNotSame(Object expected, Object actual)` Deprecated. Asserts that two objects do not refer to the same object.
`static void` `assertNotSame(String message, Object expected, Object actual)` Deprecated. Asserts that two objects do not refer to the same object.
`static void` `assertNull(Object object)` Deprecated. Asserts that an object is null.
`static void` `assertNull(String message, Object object)` Deprecated. Asserts that an object is null.
`static void` `assertSame(Object expected, Object actual)` Deprecated. Asserts that two objects refer to the same object.
`static void` `assertSame(String message, Object expected, Object actual)` Deprecated. Asserts that two objects refer to the same object.
`static void` `assertTrue(boolean condition)` Deprecated. Asserts that a condition is true.
`static void` `assertTrue(String message, boolean condition)` Deprecated. Asserts that a condition is true.
`static void` `fail()` Deprecated. Fails a test with no message.
`static void` `fail(String message)` Deprecated. Fails a test with the given message.
`static void` `failNotEquals(String message, Object expected, Object actual)` Deprecated.
`static void` `failNotSame(String message, Object expected, Object actual)` Deprecated.
`static void` `failSame(String message)` Deprecated.
`static String` `format(String message, Object expected, Object actual)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Assert

    protected Assert()

  Deprecated.
  Protect constructor since it is a static only class

Method Detail

### assertTrue

    public static void assertTrue(String message,
                                  boolean condition)

  Deprecated.
  Asserts that a condition is true. If it isn't it throws an AssertionFailedError with the given message.

### assertTrue

    public static void assertTrue(boolean condition)

  Deprecated.
  Asserts that a condition is true. If it isn't it throws an AssertionFailedError.

### assertFalse

    public static void assertFalse(String message,
                                   boolean condition)

  Deprecated.
  Asserts that a condition is false. If it isn't it throws an AssertionFailedError with the given message.

### assertFalse

    public static void assertFalse(boolean condition)

  Deprecated.
  Asserts that a condition is false. If it isn't it throws an AssertionFailedError.

### fail

    public static void fail(String message)

  Deprecated.
  Fails a test with the given message.

### fail

    public static void fail()

  Deprecated.
  Fails a test with no message.

### assertEquals

    public static void assertEquals(String message,
                                    Object expected,
                                    Object actual)

  Deprecated.
  Asserts that two objects are equal. If they are not an AssertionFailedError is thrown with the given message.

### assertEquals

    public static void assertEquals(Object expected,
                                    Object actual)

  Deprecated.
  Asserts that two objects are equal. If they are not an AssertionFailedError is thrown.

### assertEquals

    public static void assertEquals(String message,
                                    String expected,
                                    String actual)

  Deprecated.
  Asserts that two Strings are equal.

### assertEquals

    public static void assertEquals(String expected,
                                    String actual)

  Deprecated.
  Asserts that two Strings are equal.

### assertEquals

    public static void assertEquals(String message,
                                    double expected,
                                    double actual,
                                    double delta)

  Deprecated.
  Asserts that two doubles are equal concerning a delta. If they are not an AssertionFailedError is thrown with the given message. If the expected value is infinity then the delta value is ignored.

### assertEquals

    public static void assertEquals(double expected,
                                    double actual,
                                    double delta)

  Deprecated.
  Asserts that two doubles are equal concerning a delta. If the expected value is infinity then the delta value is ignored.

### assertEquals

    public static void assertEquals(String message,
                                    float expected,
                                    float actual,
                                    float delta)

  Deprecated.
  Asserts that two floats are equal concerning a positive delta. If they are not an AssertionFailedError is thrown with the given message. If the expected value is infinity then the delta value is ignored.

### assertEquals

    public static void assertEquals(float expected,
                                    float actual,
                                    float delta)

  Deprecated.
  Asserts that two floats are equal concerning a delta. If the expected value is infinity then the delta value is ignored.

### assertEquals

    public static void assertEquals(String message,
                                    long expected,
                                    long actual)

  Deprecated.
  Asserts that two longs are equal. If they are not an AssertionFailedError is thrown with the given message.

### assertEquals

    public static void assertEquals(long expected,
                                    long actual)

  Deprecated.
  Asserts that two longs are equal.

### assertEquals

    public static void assertEquals(String message,
                                    boolean expected,
                                    boolean actual)

  Deprecated.
  Asserts that two booleans are equal. If they are not an AssertionFailedError is thrown with the given message.

### assertEquals

    public static void assertEquals(boolean expected,
                                    boolean actual)

  Deprecated.
  Asserts that two booleans are equal.

### assertEquals

    public static void assertEquals(String message,
                                    byte expected,
                                    byte actual)

  Deprecated.
  Asserts that two bytes are equal. If they are not an AssertionFailedError is thrown with the given message.

### assertEquals

    public static void assertEquals(byte expected,
                                    byte actual)

  Deprecated.
  Asserts that two bytes are equal.

### assertEquals

    public static void assertEquals(String message,
                                    char expected,
                                    char actual)

  Deprecated.
  Asserts that two chars are equal. If they are not an AssertionFailedError is thrown with the given message.

### assertEquals

    public static void assertEquals(char expected,
                                    char actual)

  Deprecated.
  Asserts that two chars are equal.

### assertEquals

    public static void assertEquals(String message,
                                    short expected,
                                    short actual)

  Deprecated.
  Asserts that two shorts are equal. If they are not an AssertionFailedError is thrown with the given message.

### assertEquals

    public static void assertEquals(short expected,
                                    short actual)

  Deprecated.
  Asserts that two shorts are equal.

### assertEquals

    public static void assertEquals(String message,
                                    int expected,
                                    int actual)

  Deprecated.
  Asserts that two ints are equal. If they are not an AssertionFailedError is thrown with the given message.

### assertEquals

    public static void assertEquals(int expected,
                                    int actual)

  Deprecated.
  Asserts that two ints are equal.

### assertNotNull

    public static void assertNotNull(Object object)

  Deprecated.
  Asserts that an object isn't null.

### assertNotNull

    public static void assertNotNull(String message,
                                     Object object)

  Deprecated.
  Asserts that an object isn't null. If it is an AssertionFailedError is thrown with the given message.

### assertNull

    public static void assertNull(Object object)

  Deprecated.
  Asserts that an object is null. If it isn't an `AssertionError` is thrown. Message contains: Expected: <null> but was: object

  Parameters:
    `object` - Object to check or `null`

### assertNull

    public static void assertNull(String message,
                                  Object object)

  Deprecated.
  Asserts that an object is null. If it is not an AssertionFailedError is thrown with the given message.

### assertSame

    public static void assertSame(String message,
                                  Object expected,
                                  Object actual)

  Deprecated.
  Asserts that two objects refer to the same object. If they are not an AssertionFailedError is thrown with the given message.

### assertSame

    public static void assertSame(Object expected,
                                  Object actual)

  Deprecated.
  Asserts that two objects refer to the same object. If they are not the same an AssertionFailedError is thrown.

### assertNotSame

    public static void assertNotSame(String message,
                                     Object expected,
                                     Object actual)

  Deprecated.
  Asserts that two objects do not refer to the same object. If they do refer to the same object an AssertionFailedError is thrown with the given message.

### assertNotSame

    public static void assertNotSame(Object expected,
                                     Object actual)

  Deprecated.
  Asserts that two objects do not refer to the same object. If they do refer to the same object an AssertionFailedError is thrown.

### failSame

    public static void failSame(String message)

  Deprecated.

### failNotSame

    public static void failNotSame(String message,
                                   Object expected,
                                   Object actual)

  Deprecated.

### failNotEquals

    public static void failNotEquals(String message,
                                     Object expected,
                                     Object actual)

  Deprecated.

### format

    public static String format(String message,
                                Object expected,
                                Object actual)

  Deprecated.

Copyright © 2002–2020 JUnit. All rights reserved.